# Portfolio rebalancing execution orders events

Portfolio rebalancing execution orders events

Endpoint: POST Portfolio rebalancing execution orders events
Version: 1.99.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "REBALANCING_EXECUTION_ORDER.NEW", "REBALANCING_EXECUTION_ORDER.PROCESSING", "REBALANCING_EXECUTION_ORDER.CANCELLED", "REBALANCING_EXECUTION_ORDER.FILLED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.execution_id` (string, required)

  - `object.account_id` (string, required)
    Account unique identifier.

  - `object.portfolio_order_id` (any, required)

  - `object.status` (string, required)
    Status of the Rebalancing Execution Order.
* NEW - 
* PROCESSING - 
* FILLED - 
* CANCELLED -
    Enum: "NEW", "PROCESSING", "FILLED", "CANCELLED"

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.cancellation_reason` (string)
    Reason for Rebalancing Execution Order Cancellation. The field is present in case the Order has a status of CANCELLED.
* ACCOUNT_IS_EMPTY - 
* ACCOUNT_NOT_FOUND - 
* CANCELLED_BY_CLIENT - 
* CANCELLED_BY_UPVEST - 
* CONFIGURATION_IS_MISSING - 
* INVALID_ACCOUNT_TYPE - 
* PORTFOLIO_IS_BALANCED - 
* UNKNOWN -
    Enum: "ACCOUNT_IS_EMPTY", "ACCOUNT_NOT_FOUND", "CANCELLED_BY_CLIENT", "CANCELLED_BY_UPVEST", "CONFIGURATION_IS_MISSING", "INVALID_ACCOUNT_TYPE", "PORTFOLIO_IS_BALANCED", "UNKNOWN"

  - `object.cancellation_details` (string)

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
